<template>
  <v-container fluid>
    <v-row justify="center">
      <v-col>
        <v-alert
          dense
          outlined
          prominent
          type="warning"
          border="left"
          class="mb-12"
        >
          <div class="d-flex align-center justify-space-between">
            {{ $t('warning') }}
            <v-btn
              v-show="disabledActions"
              color="warning"
              @click="disabledActions = false"
            >
              {{ $t('gotIt') }}
            </v-btn>
          </div>
        </v-alert>
        <div class="d-flex justify-center">
          <v-btn
            color="warning"
            class="mr-6"
            :disabled="disabledActions"
          >
            {{ $t('disableAccountTemporarily') }}
          </v-btn>
          <v-btn
            color="error"
            :disabled="disabledActions"
          >
            {{ $t('deleteAccountPermanently') }}
          </v-btn>
        </div>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
  export default {
    name: 'DisableAccount',
    data () {
      return {
        disabledActions: true,
      }
    },
    i18n: {
      messages: {
        'pt-BR': {
          warning: 'Por favor, leia atentamente antes de confirmar qualquer ação nesta área do sistema.',
          gotIt: 'Entendi!',
          disableAccountTemporarily: 'Desativar conta temporariamente',
          deleteAccountPermanently: 'Excluir conta permanentemente',
        },
        'en-US': {
          warning: 'Please read carefully before confirming any action in this area of the system.',
          gotIt: 'Got it!',
          disableAccountTemporarily: 'Disable account temporarily',
          deleteAccountPermanently: 'Delete account permanently',
        },
      },
    },
  }
</script>
